dnl aclocal.m4 generated automatically by aclocal 1.4-p4

dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.

# Like AC_CONFIG_HEADER, but automatically create stamp file.

AC_DEFUN(AM_CONFIG_HEADER,
[AC_PREREQ([2.12])
AC_CONFIG_HEADER([$1])
dnl When config.status generates a header, we must update the stamp-h file.
dnl This file resides in the same directory as the config header
dnl that is generated.  We must strip everything past the first ":",
dnl and everything past the last "/".
AC_OUTPUT_COMMANDS(changequote(<<,>>)dnl
ifelse(patsubst(<<$1>>, <<[^ ]>>, <<>>), <<>>,
<<test -z "<<$>>CONFIG_HEADERS" || echo timestamp > patsubst(<<$1>>, <<^\([^:]*/\)?.*>>, <<\1>>)stamp-h<<>>dnl>>,
<<am_indx=1
for am_file in <<$1>>; do
  case " <<$>>CONFIG_HEADERS " in
  *" <<$>>am_file "*<<)>>
    echo timestamp > `echo <<$>>am_file | sed -e 's%:.*%%' -e 's%[^/]*$%%'`stamp-h$am_indx
    ;;
  esac
  am_indx=`expr "<<$>>am_indx" + 1`
done<<>>dnl>>)
changequote([,]))])

# Do all the work for Automake.  This macro actually does too much --
# some checks are only needed if your package does certain things.
# But this isn't really a big deal.

# serial 1

dnl Usage:
dnl AM_INIT_AUTOMAKE(package,version, [no-define])

AC_DEFUN(AM_INIT_AUTOMAKE,
[AC_REQUIRE([AC_PROG_INSTALL])
PACKAGE=[$1]
AC_SUBST(PACKAGE)
VERSION=[$2]
AC_SUBST(VERSION)
dnl test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
ifelse([$3],,
AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package]))
AC_REQUIRE([AM_SANITY_CHECK])
AC_REQUIRE([AC_ARG_PROGRAM])
dnl FIXME This is truly gross.
missing_dir=`cd $ac_aux_dir && pwd`
AM_MISSING_PROG(ACLOCAL, aclocal, $missing_dir)
AM_MISSING_PROG(AUTOCONF, autoconf, $missing_dir)
AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
AC_REQUIRE([AC_PROG_MAKE_SET])])

#
# Check to make sure that the build environment is sane.
#

AC_DEFUN(AM_SANITY_CHECK,
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
   if test "[$]*" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftestfile`
   fi
   if test "[$]*" != "X $srcdir/configure conftestfile" \
      && test "[$]*" != "X conftestfile $srcdir/configure"; then

      # If neither matched, then we have a broken ls.  This can happen
      # if, for instance, CONFIG_SHELL is bash and it inherits a
      # broken ls alias from the environment.  This has actually
      # happened.  Such a system could not be considered "sane".
      AC_MSG_ERROR([ls -t appears to fail.  Make sure there is not a broken
alias in your environment])
   fi

   test "[$]2" = conftestfile
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
rm -f conftest*
AC_MSG_RESULT(yes)])

dnl AM_MISSING_PROG(NAME, PROGRAM, DIRECTORY)
dnl The program must properly implement --version.
AC_DEFUN(AM_MISSING_PROG,
[AC_MSG_CHECKING(for working $2)
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf.  Sigh.
if ($2 --version) < /dev/null > /dev/null 2>&1; then
   $1=$2
   AC_MSG_RESULT(found)
else
   $1="$3/missing $2"
   AC_MSG_RESULT(missing)
fi
AC_SUBST($1)])

dnl Check if getopt_long is available.

dnl Solaris has socket(2) in libsocket.
AC_DEFUN(sii_LIBSOCKET,
[
  AC_CHECK_LIB(socket, socket,
  [
    AC_DEFINE(HAVE_LIBSOCKET)
    LIBS="$LIBS -lsocket"
  ])
])

dnl Solaris also needs libnsl for inet_ntoa and friends.
AC_DEFUN(sii_LIBNSL,
[
  AC_CHECK_LIB(nsl, inet_ntoa,
  [
    AC_DEFINE(HAVE_LIBNSL)
    LIBS="$LIBS -lnsl"
  ])
])


dnl Check if we need netdb.h for resolver routines.

AC_DEFUN(sii_GETADDRINFO,
AC_MSG_CHECKING(for getaddrinfo in netdb.h)
AC_TRY_COMPILE(
[
  #include <netdb.h>
],
[struct addrinfo h; struct addrinfo *r; getaddrinfo("127.0.0.1", NULL, &h, &r)],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_GETADDRINFO_NETDB)
],
AC_MSG_RESULT(no)))


AC_DEFUN(sii_GETHOSTBYNAME,
AC_MSG_CHECKING(for gethostbyname in netdb.h)
AC_TRY_COMPILE(
[
  #include <netdb.h>
],
[struct hostent *h; h=gethostbyname("127.0.0.1")],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_GETHOSTBYNAME_NETDB)
],
AC_MSG_RESULT(no)))


AC_DEFUN(sii_GETHOSTBYNAME2,
AC_MSG_CHECKING(for gethostbyname2 in netdb.h)
AC_TRY_COMPILE(
[
  #include <netdb.h>
],
[struct hostent *h; h=gethostbyname("127.0.0.1", AF_INET)],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_GETHOSTBYNAME2_NETDB)
],
AC_MSG_RESULT(no)))



dnl Check if struct sockaddr has member sa_len

AC_DEFUN(sii_SA_LEN,
AC_MSG_CHECKING(if struct sockaddr has sa_len field)
AC_TRY_COMPILE(
[
  #include <sys/types.h>
  #include <sys/socket.h>
],
[struct sockaddr sa;int x; x=sizeof(sa.sa_len);],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_SA_LEN)
],
AC_MSG_RESULT(no)))


dnl Check if getopt_long is available.

AC_DEFUN(sii_GETOPT_LONG,
[
  AC_CHECK_HEADERS(getopt.h,
  [
    AC_DEFINE(HAVE_GETOPT_H)
  ],
  [
    if test -f /usr/local/include/getopt.h;
    then
      echo checking for getopt.h in /usr/local/include... yes
      AC_DEFINE(HAVE_GETOPT_H)
    fi
  ])
  AC_CHECK_FUNCS(getopt_long,,
  [
    AC_CHECK_LIB(gnugetopt, getopt_long,
    [
      AC_DEFINE(HAVE_GETOPT_LONG)
      LIBS="$LIBS -lgnugetopt"
    ])
  ])
])


dnl Check for uint[8,16,32]_t

AC_DEFUN(sii_UINT8_T,
AC_MSG_CHECKING(if type uint8_t exists)
AC_TRY_COMPILE(
[
  #include <sys/types.h>
],
[uint8_t a;],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_UINT8_T)
],
AC_MSG_RESULT(no)))

AC_DEFUN(sii_U_INT8_T,
AC_MSG_CHECKING(if type u_int8_t exists)
AC_TRY_COMPILE(
[
  #include <sys/types.h>
],
[u_int8_t a;],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_U_INT8_T)
],
AC_MSG_RESULT(no)))



AC_DEFUN(sii_UINT16_T,
AC_MSG_CHECKING(if type uint16_t exists)
AC_TRY_COMPILE(
[
  #include <sys/types.h>
],
[uint16_t a;],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_UINT16_T)
],
AC_MSG_RESULT(no)))

AC_DEFUN(sii_U_INT16_T,
AC_MSG_CHECKING(if type u_int16_t exists)
AC_TRY_COMPILE(
[
  #include <sys/types.h>
],
[u_int32_t a;],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_U_INT16_T)
],
AC_MSG_RESULT(no)))



AC_DEFUN(sii_UINT32_T,
AC_MSG_CHECKING(if type uint32_t exists)
AC_TRY_COMPILE(
[
  #include <sys/types.h>
],
[uint32_t a;],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_UINT32_T)
],
AC_MSG_RESULT(no)))

AC_DEFUN(sii_U_INT32_T,
AC_MSG_CHECKING(if type u_int32_t exists)
AC_TRY_COMPILE(
[
  #include <sys/types.h>
],
[u_int32_t a;],
[
  AC_MSG_RESULT(yes)
  AC_DEFINE(HAVE_U_INT32_T)
],
AC_MSG_RESULT(no)))



